<?php

namespace \NineDotMedia\Viapost\Array;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMergeField Array
 * @subpackage Arrays
 */
class ArrayOfMergeField extends AbstractStructArrayBase
{
    /**
     * The MergeField
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \\NineDotMedia\Viapost\Struct\MergeField[]
     */
    public $MergeField;
    /**
     * Constructor method for ArrayOfMergeField
     * @uses ArrayOfMergeField::setMergeField()
     * @param \\NineDotMedia\Viapost\Struct\MergeField[] $mergeField
     */
    public function __construct(array $mergeField = array())
    {
        $this
            ->setMergeField($mergeField);
    }
    /**
     * Get MergeField value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \\NineDotMedia\Viapost\Struct\MergeField[]|null
     */
    public function getMergeField()
    {
        return isset($this->MergeField) ? $this->MergeField : null;
    }
    /**
     * This method is responsible for validating the values passed to the setMergeField method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMergeField method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMergeFieldForArrayConstraintsFromSetMergeField(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfMergeFieldMergeFieldItem) {
            // validation for constraint: itemType
            if (!$arrayOfMergeFieldMergeFieldItem instanceof \\NineDotMedia\Viapost\Struct\MergeField) {
                $invalidValues[] = is_object($arrayOfMergeFieldMergeFieldItem) ? get_class($arrayOfMergeFieldMergeFieldItem) : sprintf('%s(%s)', gettype($arrayOfMergeFieldMergeFieldItem), var_export($arrayOfMergeFieldMergeFieldItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The MergeField property can only contain items of type \\NineDotMedia\Viapost\Struct\MergeField, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set MergeField value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \\NineDotMedia\Viapost\Struct\MergeField[] $mergeField
     * @return \\NineDotMedia\Viapost\Array\ArrayOfMergeField
     */
    public function setMergeField(array $mergeField = array())
    {
        // validation for constraint: array
        if ('' !== ($mergeFieldArrayErrorMessage = self::validateMergeFieldForArrayConstraintsFromSetMergeField($mergeField))) {
            throw new \InvalidArgumentException($mergeFieldArrayErrorMessage, __LINE__);
        }
        if (is_null($mergeField) || (is_array($mergeField) && empty($mergeField))) {
            unset($this->MergeField);
        } else {
            $this->MergeField = $mergeField;
        }
        return $this;
    }
    /**
     * Add item to MergeField value
     * @throws \InvalidArgumentException
     * @param \\NineDotMedia\Viapost\Struct\MergeField $item
     * @return \\NineDotMedia\Viapost\Array\ArrayOfMergeField
     */
    public function addToMergeField(\\NineDotMedia\Viapost\Struct\MergeField $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \\NineDotMedia\Viapost\Struct\MergeField) {
            throw new \InvalidArgumentException(sprintf('The MergeField property can only contain items of type \\NineDotMedia\Viapost\Struct\MergeField, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->MergeField[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \\NineDotMedia\Viapost\Struct\MergeField|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \\NineDotMedia\Viapost\Struct\MergeField|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \\NineDotMedia\Viapost\Struct\MergeField|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \\NineDotMedia\Viapost\Struct\MergeField|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \\NineDotMedia\Viapost\Struct\MergeField|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MergeField
     */
    public function getAttributeName()
    {
        return 'MergeField';
    }
}
