<?php

namespace \NineDotMedia\Viapost;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetSystemID' => '\\\\NineDotMedia\\Viapost\\Struct\\GetSystemID',
            'GetSystemIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetSystemIDResponse',
            'CreateLetterFromXPS' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateLetterFromXPS',
            'CreateLetterFromXPSResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateLetterFromXPSResponse',
            'GetDocumentPageCountRange' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentPageCountRange',
            'GetDocumentPageCountRangeResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentPageCountRangeResponse',
            'SendDriverMailingConfirmation' => '\\\\NineDotMedia\\Viapost\\Struct\\SendDriverMailingConfirmation',
            'SendDriverMailingConfirmationResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendDriverMailingConfirmationResponse',
            'GetLibraryInserts' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryInserts',
            'ArrayOfAnyType' => '\\\\NineDotMedia\\Viapost\\Array\\ArrayOfAnyType',
            'APILetter' => '\\\\NineDotMedia\\Viapost\\Struct\\APILetter',
            'ReservedArea' => '\\\\NineDotMedia\\Viapost\\Struct\\ReservedArea',
            'RectangleF' => '\\\\NineDotMedia\\Viapost\\Struct\\RectangleF',
            'PointF' => '\\\\NineDotMedia\\Viapost\\Struct\\PointF',
            'SizeF' => '\\\\NineDotMedia\\Viapost\\Struct\\SizeF',
            'DocumentHistory' => '\\\\NineDotMedia\\Viapost\\Struct\\DocumentHistory',
            'JobRun' => '\\\\NineDotMedia\\Viapost\\Struct\\JobRun',
            'Document' => '\\\\NineDotMedia\\Viapost\\Struct\\Document',
            'UserVariable' => '\\\\NineDotMedia\\Viapost\\Struct\\UserVariable',
            'DataList' => '\\\\NineDotMedia\\Viapost\\Struct\\DataList',
            'Mapping' => '\\\\NineDotMedia\\Viapost\\Struct\\Mapping',
            'ArrayOfString' => '\\\\NineDotMedia\\Viapost\\Array\\ArrayOfString',
            'ArrayOfMergeField' => '\\\\NineDotMedia\\Viapost\\Array\\ArrayOfMergeField',
            'MergeField' => '\\\\NineDotMedia\\Viapost\\Struct\\MergeField',
            'Attachment' => '\\\\NineDotMedia\\Viapost\\Struct\\Attachment',
            'Letterhead' => '\\\\NineDotMedia\\Viapost\\Struct\\Letterhead',
            'Postcard' => '\\\\NineDotMedia\\Viapost\\Struct\\Postcard',
            'MailPack' => '\\\\NineDotMedia\\Viapost\\Struct\\MailPack',
            'CostCentre' => '\\\\NineDotMedia\\Viapost\\Struct\\CostCentre',
            'Insert' => '\\\\NineDotMedia\\Viapost\\Struct\\Insert',
            'GetLibraryInsertsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryInsertsResponse',
            'GetCostCentres' => '\\\\NineDotMedia\\Viapost\\Struct\\GetCostCentres',
            'GetCostCentresResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetCostCentresResponse',
            'GenerateMappingWithDefaultNameAndMergeFields' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameAndMergeFields',
            'GenerateMappingWithDefaultNameAndMergeFieldsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameAndMergeFieldsResponse',
            'GenerateMappingWithID' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithID',
            'GenerateMappingWithIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithIDResponse',
            'GenerateMappingWithDefaultNameWithID' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameWithID',
            'GenerateMappingWithDefaultNameWithIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameWithIDResponse',
            'GenerateMappingWithDefaultNameAndMergeFieldsWithID' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameAndMergeFieldsWithID',
            'GenerateMappingWithDefaultNameAndMergeFieldsWithIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameAndMergeFieldsWithIDResponse',
            'CreateAttachment' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAttachment',
            'CreateAttachmentResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAttachmentResponse',
            'CreateLetterhead' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateLetterhead',
            'CreateLetterheadResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateLetterheadResponse',
            'CreateLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateLetter',
            'CreateLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateLetterResponse',
            'CreateMailPack' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateMailPack',
            'ArrayOfLong' => '\\\\NineDotMedia\\Viapost\\Array\\ArrayOfLong',
            'CreateMailPackResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateMailPackResponse',
            'DeleteMailPack' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteMailPack',
            'DeleteMailPackResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteMailPackResponse',
            'SendMailPack' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPack',
            'SendMailPackResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackResponse',
            'SendMailPackToFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackToFindNearest',
            'SendMailPackToFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackToFindNearestResponse',
            'CreateAndSendMailPack' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendMailPack',
            'CreateAndSendMailPackResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendMailPackResponse',
            'SendMailPackToSingleAddress2' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackToSingleAddress2',
            'ArrayOfArrayOfString' => '\\\\NineDotMedia\\Viapost\\Array\\ArrayOfArrayOfString',
            'SendMailPackToSingleAddress2Response' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackToSingleAddress2Response',
            'SendMailPackToSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackToSingleAddress',
            'SendMailPackToSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendMailPackToSingleAddressResponse',
            'CreateAndSendMailPackToSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendMailPackToSingleAddress',
            'CreateAndSendMailPackToSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendMailPackToSingleAddressResponse',
            'SendSimpleMailing' => '\\\\NineDotMedia\\Viapost\\Struct\\SendSimpleMailing',
            'SendSimpleMailingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendSimpleMailingResponse',
            'SendSimpleMailingToFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\SendSimpleMailingToFindNearest',
            'SendSimpleMailingToFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendSimpleMailingToFindNearestResponse',
            'CreateAndSendSimpleMailingToFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendSimpleMailingToFindNearest',
            'CreateAndSendSimpleMailingToFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendSimpleMailingToFindNearestResponse',
            'SendSimpleMailingToSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\SendSimpleMailingToSingleAddress',
            'SendSimpleMailingToSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendSimpleMailingToSingleAddressResponse',
            'CreateAndSendSimpleMailing' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendSimpleMailing',
            'CreateAndSendSimpleMailingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendSimpleMailingResponse',
            'CreateAndSendSimpleMailingToSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendSimpleMailingToSingleAddress',
            'CreateAndSendSimpleMailingToSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendSimpleMailingToSingleAddressResponse',
            'CreateAndSendMailPackToFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendMailPackToFindNearest',
            'CreateAndSendMailPackToFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendMailPackToFindNearestResponse',
            'AddExcludedAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\AddExcludedAddress',
            'AddExcludedAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\AddExcludedAddressResponse',
            'GetExcludedAddresses' => '\\\\NineDotMedia\\Viapost\\Struct\\GetExcludedAddresses',
            'GetExcludedAddressesResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetExcludedAddressesResponse',
            'DeleteExcludedAddressByID' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteExcludedAddressByID',
            'DeleteExcludedAddressByIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteExcludedAddressByIDResponse',
            'FindNearestQueryAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\FindNearestQueryAddress',
            'FindNearestQueryAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\FindNearestQueryAddressResponse',
            'FindNearestExecuteSearch' => '\\\\NineDotMedia\\Viapost\\Struct\\FindNearestExecuteSearch',
            'FindNearestExecuteSearchResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\FindNearestExecuteSearchResponse',
            'UpdateLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\UpdateLetter',
            'UpdateLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UpdateLetterResponse',
            'UpdateMailPackLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\UpdateMailPackLetter',
            'UpdateMailPackLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UpdateMailPackLetterResponse',
            'UpdateMailPackTemplate' => '\\\\NineDotMedia\\Viapost\\Struct\\UpdateMailPackTemplate',
            'UpdateMailPackTemplateResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UpdateMailPackTemplateResponse',
            'GetMailPacks' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailPacks',
            'GetMailPacksResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailPacksResponse',
            'GetLibraryMailPacks' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryMailPacks',
            'GetLibraryMailPacksResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryMailPacksResponse',
            'CreatePostcard' => '\\\\NineDotMedia\\Viapost\\Struct\\CreatePostcard',
            'CreatePostcardResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreatePostcardResponse',
            'GetLibraryPostcards' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryPostcards',
            'GetLibraryPostcardsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryPostcardsResponse',
            'PreviewLibraryPostcard' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryPostcard',
            'PreviewLibraryPostcardResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryPostcardResponse',
            'SendPostcardToSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\SendPostcardToSingleAddress',
            'SendPostcardToSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendPostcardToSingleAddressResponse',
            'SendPostcard' => '\\\\NineDotMedia\\Viapost\\Struct\\SendPostcard',
            'SendPostcardResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendPostcardResponse',
            'SendPostcardToFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\SendPostcardToFindNearest',
            'SendPostcardToFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendPostcardToFindNearestResponse',
            'CreateAndSendPostcardToSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendPostcardToSingleAddress',
            'CreateAndSendPostcardToSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendPostcardToSingleAddressResponse',
            'CreateAndSendPostcard' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendPostcard',
            'CreateAndSendPostcardResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendPostcardResponse',
            'CreateAndSendPostcardToFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendPostcardToFindNearest',
            'CreateAndSendPostcardToFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAndSendPostcardToFindNearestResponse',
            'CalculateCostOfSingleAddressMailing' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfSingleAddressMailing',
            'CalculateCostOfSingleAddressMailingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfSingleAddressMailingResponse',
            'CalculateCostOfMailing' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfMailing',
            'CalculateCostOfMailingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfMailingResponse',
            'CalculateCostOfFindNearestMailing' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfFindNearestMailing',
            'CalculateCostOfFindNearestMailingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfFindNearestMailingResponse',
            'GetLibraryLetterheads' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryLetterheads',
            'GetLibraryLetterheadsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryLetterheadsResponse',
            'GetLibraryAttachments' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryAttachments',
            'GetLibraryAttachmentsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryAttachmentsResponse',
            'PreviewLibraryLetterhead' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryLetterhead',
            'PreviewLibraryLetterheadResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryLetterheadResponse',
            'PreviewLibraryAttachment' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryAttachment',
            'PreviewLibraryAttachmentResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryAttachmentResponse',
            'PreviewDocumentSingleAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewDocumentSingleAddress',
            'PreviewDocumentSingleAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewDocumentSingleAddressResponse',
            'PreviewDocumentMailingList' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewDocumentMailingList',
            'PreviewDocumentMailingListResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewDocumentMailingListResponse',
            'PreviewDocumentFindNearest' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewDocumentFindNearest',
            'PreviewDocumentFindNearestResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewDocumentFindNearestResponse',
            'GetLibraryMappings' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryMappings',
            'GetLibraryMappingsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryMappingsResponse',
            'GetDataListUrl' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDataListUrl',
            'GetDataListUrlResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDataListUrlResponse',
            'DownloadDataList' => '\\\\NineDotMedia\\Viapost\\Struct\\DownloadDataList',
            'DownloadDataListResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DownloadDataListResponse',
            'GetDataLists' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDataLists',
            'GetDataListsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDataListsResponse',
            'CalculateCostOfDataList' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfDataList',
            'CalculateCostOfDataListResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfDataListResponse',
            'GetUserVariables' => '\\\\NineDotMedia\\Viapost\\Struct\\GetUserVariables',
            'GetUserVariablesResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetUserVariablesResponse',
            'GetDocumentation' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentation',
            'GetDocumentationResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentationResponse',
            'GetMailHistoryJobs' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailHistoryJobs',
            'GetMailHistoryJobsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailHistoryJobsResponse',
            'GetMailHistoryDocumentsByJobId' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailHistoryDocumentsByJobId',
            'GetMailHistoryDocumentsByJobIdResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailHistoryDocumentsByJobIdResponse',
            'RetryLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\RetryLetter',
            'RetryLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\RetryLetterResponse',
            'GetAddressesForPostcode' => '\\\\NineDotMedia\\Viapost\\Struct\\GetAddressesForPostcode',
            'ArrayOfPostalAddress' => '\\\\NineDotMedia\\Viapost\\Array\\ArrayOfPostalAddress',
            'PostalAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\PostalAddress',
            'GetAddressesForPostcodeResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetAddressesForPostcodeResponse',
            'GetDocumentStickerArea' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentStickerArea',
            'GetDocumentStickerAreaResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentStickerAreaResponse',
            'GetDocumentReservedAreas' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentReservedAreas',
            'GetDocumentReservedAreasResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetDocumentReservedAreasResponse',
            'CalculateCostOfNewMailing' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfNewMailing',
            'CalculateCostOfNewMailingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateCostOfNewMailingResponse',
            'IsFirstClassAvailable' => '\\\\NineDotMedia\\Viapost\\Struct\\IsFirstClassAvailable',
            'IsFirstClassAvailableResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\IsFirstClassAvailableResponse',
            'GetUserDetails' => '\\\\NineDotMedia\\Viapost\\Struct\\GetUserDetails',
            'GetUserDetailsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetUserDetailsResponse',
            'IsValidLoginToken' => '\\\\NineDotMedia\\Viapost\\Struct\\IsValidLoginToken',
            'IsValidLoginTokenResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\IsValidLoginTokenResponse',
            'ChangePassword' => '\\\\NineDotMedia\\Viapost\\Struct\\ChangePassword',
            'ChangePasswordResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\ChangePasswordResponse',
            'GetLatestVersionDetails' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLatestVersionDetails',
            'GetLatestVersionDetailsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLatestVersionDetailsResponse',
            'GetAccountUrl' => '\\\\NineDotMedia\\Viapost\\Struct\\GetAccountUrl',
            'GetAccountUrlResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetAccountUrlResponse',
            'GetPortalUrl' => '\\\\NineDotMedia\\Viapost\\Struct\\GetPortalUrl',
            'GetPortalUrlResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetPortalUrlResponse',
            'PreviewLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLetter',
            'PreviewLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLetterResponse',
            'PreviewLibraryLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryLetter',
            'PreviewLibraryLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewLibraryLetterResponse',
            'PreviewMailPack' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewMailPack',
            'PreviewMailPackResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\PreviewMailPackResponse',
            'SignIn' => '\\\\NineDotMedia\\Viapost\\Struct\\SignIn',
            'SignInResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SignInResponse',
            'UploadDocument' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadDocument',
            'UploadDocumentResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadDocumentResponse',
            'SearchAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\SearchAddress',
            'SearchAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SearchAddressResponse',
            'CreateJobRunRecord' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateJobRunRecord',
            'CreateJobRunRecordResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateJobRunRecordResponse',
            'SendLetterWithStructuredAddress' => '\\\\NineDotMedia\\Viapost\\Struct\\SendLetterWithStructuredAddress',
            'CustomerAPILetter' => '\\\\NineDotMedia\\Viapost\\Struct\\CustomerAPILetter',
            'SendLetterWithStructuredAddressResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendLetterWithStructuredAddressResponse',
            'SendLetterWithStructuredAddressAndExceptions' => '\\\\NineDotMedia\\Viapost\\Struct\\SendLetterWithStructuredAddressAndExceptions',
            'SendLetterWithStructuredAddressAndExceptionsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendLetterWithStructuredAddressAndExceptionsResponse',
            'SendLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\SendLetter',
            'SendLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\SendLetterResponse',
            'GetBalance' => '\\\\NineDotMedia\\Viapost\\Struct\\GetBalance',
            'GetBalanceResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetBalanceResponse',
            'GetAvailableFunds' => '\\\\NineDotMedia\\Viapost\\Struct\\GetAvailableFunds',
            'GetAvailableFundsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetAvailableFundsResponse',
            'GetLetterByID' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetterByID',
            'GetLetterByIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetterByIDResponse',
            'GetLetters' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetters',
            'GetLettersResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLettersResponse',
            'GetLibraryLetters' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryLetters',
            'GetLibraryLettersResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLibraryLettersResponse',
            'GetMailingLists' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailingLists',
            'GetMailingListsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailingListsResponse',
            'GetMailingListByID' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailingListByID',
            'CustomerAPIMailingList' => '\\\\NineDotMedia\\Viapost\\Struct\\CustomerAPIMailingList',
            'GetMailingListByIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMailingListByIDResponse',
            'DeleteMailingList' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteMailingList',
            'DeleteMailingListResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteMailingListResponse',
            'DeleteMapping' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteMapping',
            'DeleteMappingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteMappingResponse',
            'DeleteUserVariable' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteUserVariable',
            'DeleteUserVariableResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteUserVariableResponse',
            'DeleteLetterhead' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterhead',
            'DeleteLetterheadResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterheadResponse',
            'DeleteLetter' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetter',
            'DeleteLetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterResponse',
            'DeleteAttachment' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteAttachment',
            'DeleteAttachmentResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteAttachmentResponse',
            'DeletePostcard' => '\\\\NineDotMedia\\Viapost\\Struct\\DeletePostcard',
            'DeletePostcardResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeletePostcardResponse',
            'UploadMailingList' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadMailingList',
            'UploadMailingListResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadMailingListResponse',
            'UploadMailingListWithMapping' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadMailingListWithMapping',
            'UploadMailingListWithMappingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadMailingListWithMappingResponse',
            'UploadMailingListWithMappingAndShare' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadMailingListWithMappingAndShare',
            'UploadMailingListWithMappingAndShareResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadMailingListWithMappingAndShareResponse',
            'UploadConsolidatedPDF' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadConsolidatedPDF',
            'xmlResults' => '\\\\NineDotMedia\\Viapost\\Struct\\XmlResults',
            'UploadConsolidatedPDFResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\UploadConsolidatedPDFResponse',
            'MailMerge' => '\\\\NineDotMedia\\Viapost\\Struct\\MailMerge',
            'MailMergeResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\MailMergeResponse',
            'MailMergeWithExceptionsAndConfirmationEmails' => '\\\\NineDotMedia\\Viapost\\Struct\\MailMergeWithExceptionsAndConfirmationEmails',
            'MailMergeWithExceptionsAndConfirmationEmailsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\MailMergeWithExceptionsAndConfirmationEmailsResponse',
            'MailMergeWithExceptions' => '\\\\NineDotMedia\\Viapost\\Struct\\MailMergeWithExceptions',
            'MailMergeWithExceptionsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\MailMergeWithExceptionsResponse',
            'CreateAccount' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAccount',
            'CreateAccountResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAccountResponse',
            'CreateAccountNonUK' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAccountNonUK',
            'CreateAccountNonUKResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreateAccountNonUKResponse',
            'AddUserToAccount' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccount',
            'AddUserToAccountResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountResponse',
            'AddUserToAccountPermissions' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountPermissions',
            'AddUserToAccountPermissionsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountPermissionsResponse',
            'AddUserToAccountNonUK' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountNonUK',
            'AddUserToAccountNonUKResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountNonUKResponse',
            'AddUserToAccountNonUKPermissions' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountNonUKPermissions',
            'AddUserToAccountNonUKPermissionsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\AddUserToAccountNonUKPermissionsResponse',
            'CalculateLetterCostComplexBatchWithExceptions' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostComplexBatchWithExceptions',
            'MailBatch' => '\\\\NineDotMedia\\Viapost\\Struct\\MailBatch',
            'CalculateLetterCostComplexBatchWithExceptionsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostComplexBatchWithExceptionsResponse',
            'CalculateLetterCostSimpleBatch' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostSimpleBatch',
            'CalculateLetterCostSimpleBatchResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostSimpleBatchResponse',
            'CalculateLetterCostSimpleBatchWithExceptions' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostSimpleBatchWithExceptions',
            'CalculateLetterCostSimpleBatchWithExceptionsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostSimpleBatchWithExceptionsResponse',
            'CalculateLetterCostComplexBatch' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostComplexBatch',
            'CalculateLetterCostComplexBatchResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateLetterCostComplexBatchResponse',
            'CalculateMailMergeCost' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateMailMergeCost',
            'CalculateMailMergeCostResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateMailMergeCostResponse',
            'CalculateEstimatedDeliveryDate' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateEstimatedDeliveryDate',
            'CalculateEstimatedDeliveryDateResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateEstimatedDeliveryDateResponse',
            'CalculateEstimatedDeliveryDateNow' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateEstimatedDeliveryDateNow',
            'CalculateEstimatedDeliveryDateNowResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateEstimatedDeliveryDateNowResponse',
            'CalculateSendDateForDeliveryDate' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateSendDateForDeliveryDate',
            'CalculateSendDateForDeliveryDateResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CalculateSendDateForDeliveryDateResponse',
            'GetLetterStatusByLetterID' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetterStatusByLetterID',
            'GetLetterStatusByLetterIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetterStatusByLetterIDResponse',
            'GetLetterStatusByCustomerAPILetter' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetterStatusByCustomerAPILetter',
            'GetLetterStatusByCustomerAPILetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetLetterStatusByCustomerAPILetterResponse',
            'DeleteLetterByLetterID' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterByLetterID',
            'DeleteLetterByLetterIDResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterByLetterIDResponse',
            'DeleteLetterByCustomerAPILetter' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterByCustomerAPILetter',
            'DeleteLetterByCustomerAPILetterResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeleteLetterByCustomerAPILetterResponse',
            'CreatePriceBand' => '\\\\NineDotMedia\\Viapost\\Struct\\CreatePriceBand',
            'CreatePriceBandResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\CreatePriceBandResponse',
            'AssignPriceBand' => '\\\\NineDotMedia\\Viapost\\Struct\\AssignPriceBand',
            'AssignPriceBandResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\AssignPriceBandResponse',
            'GetPriceBands' => '\\\\NineDotMedia\\Viapost\\Struct\\GetPriceBands',
            'GetPriceBandsResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetPriceBandsResponse',
            'DeletePriceBand' => '\\\\NineDotMedia\\Viapost\\Struct\\DeletePriceBand',
            'DeletePriceBandResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DeletePriceBandResponse',
            'GetCountries' => '\\\\NineDotMedia\\Viapost\\Struct\\GetCountries',
            'GetCountriesResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetCountriesResponse',
            'DisableUser' => '\\\\NineDotMedia\\Viapost\\Struct\\DisableUser',
            'DisableUserResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\DisableUserResponse',
            'GetMessage' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMessage',
            'GetMessageResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GetMessageResponse',
            'GenerateMapping' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMapping',
            'GenerateMappingResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingResponse',
            'GenerateMappingWithDefaultName' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultName',
            'GenerateMappingWithDefaultNameResponse' => '\\\\NineDotMedia\\Viapost\\Struct\\GenerateMappingWithDefaultNameResponse',
        );
    }
}
