<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CalculateCostOfFindNearestMailingResponse Struct
 * @subpackage Structs
 */
class CalculateCostOfFindNearestMailingResponse extends AbstractStructBase
{
    /**
     * The CalculateCostOfFindNearestMailingResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CalculateCostOfFindNearestMailingResult;
    /**
     * The costOfMailing
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $costOfMailing;
    /**
     * The numberOfPages
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfPages;
    /**
     * The numberOfSheets
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfSheets;
    /**
     * The numberOfAddressesFound
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfAddressesFound;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for CalculateCostOfFindNearestMailingResponse
     * @uses CalculateCostOfFindNearestMailingResponse::setCalculateCostOfFindNearestMailingResult()
     * @uses CalculateCostOfFindNearestMailingResponse::setCostOfMailing()
     * @uses CalculateCostOfFindNearestMailingResponse::setNumberOfPages()
     * @uses CalculateCostOfFindNearestMailingResponse::setNumberOfSheets()
     * @uses CalculateCostOfFindNearestMailingResponse::setNumberOfAddressesFound()
     * @uses CalculateCostOfFindNearestMailingResponse::setReturnMessage()
     * @param bool $calculateCostOfFindNearestMailingResult
     * @param float $costOfMailing
     * @param int $numberOfPages
     * @param int $numberOfSheets
     * @param int $numberOfAddressesFound
     * @param string $returnMessage
     */
    public function __construct($calculateCostOfFindNearestMailingResult = null, $costOfMailing = null, $numberOfPages = null, $numberOfSheets = null, $numberOfAddressesFound = null, $returnMessage = null)
    {
        $this
            ->setCalculateCostOfFindNearestMailingResult($calculateCostOfFindNearestMailingResult)
            ->setCostOfMailing($costOfMailing)
            ->setNumberOfPages($numberOfPages)
            ->setNumberOfSheets($numberOfSheets)
            ->setNumberOfAddressesFound($numberOfAddressesFound)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get CalculateCostOfFindNearestMailingResult value
     * @return bool
     */
    public function getCalculateCostOfFindNearestMailingResult()
    {
        return $this->CalculateCostOfFindNearestMailingResult;
    }
    /**
     * Set CalculateCostOfFindNearestMailingResult value
     * @param bool $calculateCostOfFindNearestMailingResult
     * @return \\NineDotMedia\Viapost\Struct\CalculateCostOfFindNearestMailingResponse
     */
    public function setCalculateCostOfFindNearestMailingResult($calculateCostOfFindNearestMailingResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($calculateCostOfFindNearestMailingResult) && !is_bool($calculateCostOfFindNearestMailingResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($calculateCostOfFindNearestMailingResult, true), gettype($calculateCostOfFindNearestMailingResult)), __LINE__);
        }
        $this->CalculateCostOfFindNearestMailingResult = $calculateCostOfFindNearestMailingResult;
        return $this;
    }
    /**
     * Get costOfMailing value
     * @return float
     */
    public function getCostOfMailing()
    {
        return $this->costOfMailing;
    }
    /**
     * Set costOfMailing value
     * @param float $costOfMailing
     * @return \\NineDotMedia\Viapost\Struct\CalculateCostOfFindNearestMailingResponse
     */
    public function setCostOfMailing($costOfMailing = null)
    {
        // validation for constraint: float
        if (!is_null($costOfMailing) && !(is_float($costOfMailing) || is_numeric($costOfMailing))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($costOfMailing, true), gettype($costOfMailing)), __LINE__);
        }
        $this->costOfMailing = $costOfMailing;
        return $this;
    }
    /**
     * Get numberOfPages value
     * @return int
     */
    public function getNumberOfPages()
    {
        return $this->numberOfPages;
    }
    /**
     * Set numberOfPages value
     * @param int $numberOfPages
     * @return \\NineDotMedia\Viapost\Struct\CalculateCostOfFindNearestMailingResponse
     */
    public function setNumberOfPages($numberOfPages = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfPages) && !(is_int($numberOfPages) || ctype_digit($numberOfPages))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfPages, true), gettype($numberOfPages)), __LINE__);
        }
        $this->numberOfPages = $numberOfPages;
        return $this;
    }
    /**
     * Get numberOfSheets value
     * @return int
     */
    public function getNumberOfSheets()
    {
        return $this->numberOfSheets;
    }
    /**
     * Set numberOfSheets value
     * @param int $numberOfSheets
     * @return \\NineDotMedia\Viapost\Struct\CalculateCostOfFindNearestMailingResponse
     */
    public function setNumberOfSheets($numberOfSheets = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfSheets) && !(is_int($numberOfSheets) || ctype_digit($numberOfSheets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfSheets, true), gettype($numberOfSheets)), __LINE__);
        }
        $this->numberOfSheets = $numberOfSheets;
        return $this;
    }
    /**
     * Get numberOfAddressesFound value
     * @return int
     */
    public function getNumberOfAddressesFound()
    {
        return $this->numberOfAddressesFound;
    }
    /**
     * Set numberOfAddressesFound value
     * @param int $numberOfAddressesFound
     * @return \\NineDotMedia\Viapost\Struct\CalculateCostOfFindNearestMailingResponse
     */
    public function setNumberOfAddressesFound($numberOfAddressesFound = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfAddressesFound) && !(is_int($numberOfAddressesFound) || ctype_digit($numberOfAddressesFound))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfAddressesFound, true), gettype($numberOfAddressesFound)), __LINE__);
        }
        $this->numberOfAddressesFound = $numberOfAddressesFound;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\Viapost\Struct\CalculateCostOfFindNearestMailingResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
