<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CalculateMailMergeCost Struct
 * @subpackage Structs
 */
class CalculateMailMergeCost extends AbstractStructBase
{
    /**
     * The iMailingListID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $iMailingListID;
    /**
     * The iLetterID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $iLetterID;
    /**
     * The bIgnoreSuggestions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $bIgnoreSuggestions;
    /**
     * The bForceInvalid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $bForceInvalid;
    /**
     * The dTotalExVAT
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $dTotalExVAT;
    /**
     * The dVAT
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $dVAT;
    /**
     * The iQuantity
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $iQuantity;
    /**
     * The sLoginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLoginToken;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for CalculateMailMergeCost
     * @uses CalculateMailMergeCost::setIMailingListID()
     * @uses CalculateMailMergeCost::setILetterID()
     * @uses CalculateMailMergeCost::setBIgnoreSuggestions()
     * @uses CalculateMailMergeCost::setBForceInvalid()
     * @uses CalculateMailMergeCost::setDTotalExVAT()
     * @uses CalculateMailMergeCost::setDVAT()
     * @uses CalculateMailMergeCost::setIQuantity()
     * @uses CalculateMailMergeCost::setSLoginToken()
     * @uses CalculateMailMergeCost::setSReturnMessage()
     * @param int $iMailingListID
     * @param int $iLetterID
     * @param bool $bIgnoreSuggestions
     * @param bool $bForceInvalid
     * @param float $dTotalExVAT
     * @param float $dVAT
     * @param int $iQuantity
     * @param string $sLoginToken
     * @param string $sReturnMessage
     */
    public function __construct($iMailingListID = null, $iLetterID = null, $bIgnoreSuggestions = null, $bForceInvalid = null, $dTotalExVAT = null, $dVAT = null, $iQuantity = null, $sLoginToken = null, $sReturnMessage = null)
    {
        $this
            ->setIMailingListID($iMailingListID)
            ->setILetterID($iLetterID)
            ->setBIgnoreSuggestions($bIgnoreSuggestions)
            ->setBForceInvalid($bForceInvalid)
            ->setDTotalExVAT($dTotalExVAT)
            ->setDVAT($dVAT)
            ->setIQuantity($iQuantity)
            ->setSLoginToken($sLoginToken)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get iMailingListID value
     * @return int
     */
    public function getIMailingListID()
    {
        return $this->iMailingListID;
    }
    /**
     * Set iMailingListID value
     * @param int $iMailingListID
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setIMailingListID($iMailingListID = null)
    {
        // validation for constraint: int
        if (!is_null($iMailingListID) && !(is_int($iMailingListID) || ctype_digit($iMailingListID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iMailingListID, true), gettype($iMailingListID)), __LINE__);
        }
        $this->iMailingListID = $iMailingListID;
        return $this;
    }
    /**
     * Get iLetterID value
     * @return int
     */
    public function getILetterID()
    {
        return $this->iLetterID;
    }
    /**
     * Set iLetterID value
     * @param int $iLetterID
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setILetterID($iLetterID = null)
    {
        // validation for constraint: int
        if (!is_null($iLetterID) && !(is_int($iLetterID) || ctype_digit($iLetterID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iLetterID, true), gettype($iLetterID)), __LINE__);
        }
        $this->iLetterID = $iLetterID;
        return $this;
    }
    /**
     * Get bIgnoreSuggestions value
     * @return bool
     */
    public function getBIgnoreSuggestions()
    {
        return $this->bIgnoreSuggestions;
    }
    /**
     * Set bIgnoreSuggestions value
     * @param bool $bIgnoreSuggestions
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setBIgnoreSuggestions($bIgnoreSuggestions = null)
    {
        // validation for constraint: boolean
        if (!is_null($bIgnoreSuggestions) && !is_bool($bIgnoreSuggestions)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bIgnoreSuggestions, true), gettype($bIgnoreSuggestions)), __LINE__);
        }
        $this->bIgnoreSuggestions = $bIgnoreSuggestions;
        return $this;
    }
    /**
     * Get bForceInvalid value
     * @return bool
     */
    public function getBForceInvalid()
    {
        return $this->bForceInvalid;
    }
    /**
     * Set bForceInvalid value
     * @param bool $bForceInvalid
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setBForceInvalid($bForceInvalid = null)
    {
        // validation for constraint: boolean
        if (!is_null($bForceInvalid) && !is_bool($bForceInvalid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bForceInvalid, true), gettype($bForceInvalid)), __LINE__);
        }
        $this->bForceInvalid = $bForceInvalid;
        return $this;
    }
    /**
     * Get dTotalExVAT value
     * @return float
     */
    public function getDTotalExVAT()
    {
        return $this->dTotalExVAT;
    }
    /**
     * Set dTotalExVAT value
     * @param float $dTotalExVAT
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setDTotalExVAT($dTotalExVAT = null)
    {
        // validation for constraint: float
        if (!is_null($dTotalExVAT) && !(is_float($dTotalExVAT) || is_numeric($dTotalExVAT))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($dTotalExVAT, true), gettype($dTotalExVAT)), __LINE__);
        }
        $this->dTotalExVAT = $dTotalExVAT;
        return $this;
    }
    /**
     * Get dVAT value
     * @return float
     */
    public function getDVAT()
    {
        return $this->dVAT;
    }
    /**
     * Set dVAT value
     * @param float $dVAT
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setDVAT($dVAT = null)
    {
        // validation for constraint: float
        if (!is_null($dVAT) && !(is_float($dVAT) || is_numeric($dVAT))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($dVAT, true), gettype($dVAT)), __LINE__);
        }
        $this->dVAT = $dVAT;
        return $this;
    }
    /**
     * Get iQuantity value
     * @return int
     */
    public function getIQuantity()
    {
        return $this->iQuantity;
    }
    /**
     * Set iQuantity value
     * @param int $iQuantity
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setIQuantity($iQuantity = null)
    {
        // validation for constraint: int
        if (!is_null($iQuantity) && !(is_int($iQuantity) || ctype_digit($iQuantity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iQuantity, true), gettype($iQuantity)), __LINE__);
        }
        $this->iQuantity = $iQuantity;
        return $this;
    }
    /**
     * Get sLoginToken value
     * @return string|null
     */
    public function getSLoginToken()
    {
        return $this->sLoginToken;
    }
    /**
     * Set sLoginToken value
     * @param string $sLoginToken
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setSLoginToken($sLoginToken = null)
    {
        // validation for constraint: string
        if (!is_null($sLoginToken) && !is_string($sLoginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sLoginToken, true), gettype($sLoginToken)), __LINE__);
        }
        $this->sLoginToken = $sLoginToken;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \\NineDotMedia\Viapost\Struct\CalculateMailMergeCost
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
