<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CalculateSendDateForDeliveryDateResponse Struct
 * @subpackage Structs
 */
class CalculateSendDateForDeliveryDateResponse extends AbstractStructBase
{
    /**
     * The CalculateSendDateForDeliveryDateResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CalculateSendDateForDeliveryDateResult;
    /**
     * The earliestSendDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $earliestSendDateTime;
    /**
     * The latestSendDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $latestSendDateTime;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for CalculateSendDateForDeliveryDateResponse
     * @uses CalculateSendDateForDeliveryDateResponse::setCalculateSendDateForDeliveryDateResult()
     * @uses CalculateSendDateForDeliveryDateResponse::setEarliestSendDateTime()
     * @uses CalculateSendDateForDeliveryDateResponse::setLatestSendDateTime()
     * @uses CalculateSendDateForDeliveryDateResponse::setSReturnMessage()
     * @param bool $calculateSendDateForDeliveryDateResult
     * @param string $earliestSendDateTime
     * @param string $latestSendDateTime
     * @param string $sReturnMessage
     */
    public function __construct($calculateSendDateForDeliveryDateResult = null, $earliestSendDateTime = null, $latestSendDateTime = null, $sReturnMessage = null)
    {
        $this
            ->setCalculateSendDateForDeliveryDateResult($calculateSendDateForDeliveryDateResult)
            ->setEarliestSendDateTime($earliestSendDateTime)
            ->setLatestSendDateTime($latestSendDateTime)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get CalculateSendDateForDeliveryDateResult value
     * @return bool
     */
    public function getCalculateSendDateForDeliveryDateResult()
    {
        return $this->CalculateSendDateForDeliveryDateResult;
    }
    /**
     * Set CalculateSendDateForDeliveryDateResult value
     * @param bool $calculateSendDateForDeliveryDateResult
     * @return \\NineDotMedia\Viapost\Struct\CalculateSendDateForDeliveryDateResponse
     */
    public function setCalculateSendDateForDeliveryDateResult($calculateSendDateForDeliveryDateResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($calculateSendDateForDeliveryDateResult) && !is_bool($calculateSendDateForDeliveryDateResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($calculateSendDateForDeliveryDateResult, true), gettype($calculateSendDateForDeliveryDateResult)), __LINE__);
        }
        $this->CalculateSendDateForDeliveryDateResult = $calculateSendDateForDeliveryDateResult;
        return $this;
    }
    /**
     * Get earliestSendDateTime value
     * @return string
     */
    public function getEarliestSendDateTime()
    {
        return $this->earliestSendDateTime;
    }
    /**
     * Set earliestSendDateTime value
     * @param string $earliestSendDateTime
     * @return \\NineDotMedia\Viapost\Struct\CalculateSendDateForDeliveryDateResponse
     */
    public function setEarliestSendDateTime($earliestSendDateTime = null)
    {
        // validation for constraint: string
        if (!is_null($earliestSendDateTime) && !is_string($earliestSendDateTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($earliestSendDateTime, true), gettype($earliestSendDateTime)), __LINE__);
        }
        $this->earliestSendDateTime = $earliestSendDateTime;
        return $this;
    }
    /**
     * Get latestSendDateTime value
     * @return string
     */
    public function getLatestSendDateTime()
    {
        return $this->latestSendDateTime;
    }
    /**
     * Set latestSendDateTime value
     * @param string $latestSendDateTime
     * @return \\NineDotMedia\Viapost\Struct\CalculateSendDateForDeliveryDateResponse
     */
    public function setLatestSendDateTime($latestSendDateTime = null)
    {
        // validation for constraint: string
        if (!is_null($latestSendDateTime) && !is_string($latestSendDateTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($latestSendDateTime, true), gettype($latestSendDateTime)), __LINE__);
        }
        $this->latestSendDateTime = $latestSendDateTime;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \\NineDotMedia\Viapost\Struct\CalculateSendDateForDeliveryDateResponse
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
