<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDataListUrl Struct
 * @subpackage Structs
 */
class GetDataListUrl extends AbstractStructBase
{
    /**
     * The api
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $api;
    /**
     * The loginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $loginToken;
    /**
     * The urlType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $urlType;
    /**
     * The affiliateGUID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $affiliateGUID;
    /**
     * The url
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $url;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for GetDataListUrl
     * @uses GetDataListUrl::setApi()
     * @uses GetDataListUrl::setLoginToken()
     * @uses GetDataListUrl::setUrlType()
     * @uses GetDataListUrl::setAffiliateGUID()
     * @uses GetDataListUrl::setUrl()
     * @uses GetDataListUrl::setReturnMessage()
     * @param bool $api
     * @param string $loginToken
     * @param string $urlType
     * @param string $affiliateGUID
     * @param string $url
     * @param string $returnMessage
     */
    public function __construct($api = null, $loginToken = null, $urlType = null, $affiliateGUID = null, $url = null, $returnMessage = null)
    {
        $this
            ->setApi($api)
            ->setLoginToken($loginToken)
            ->setUrlType($urlType)
            ->setAffiliateGUID($affiliateGUID)
            ->setUrl($url)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get api value
     * @return bool
     */
    public function getApi()
    {
        return $this->api;
    }
    /**
     * Set api value
     * @param bool $api
     * @return \\NineDotMedia\Viapost\Struct\GetDataListUrl
     */
    public function setApi($api = null)
    {
        // validation for constraint: boolean
        if (!is_null($api) && !is_bool($api)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($api, true), gettype($api)), __LINE__);
        }
        $this->api = $api;
        return $this;
    }
    /**
     * Get loginToken value
     * @return string|null
     */
    public function getLoginToken()
    {
        return $this->loginToken;
    }
    /**
     * Set loginToken value
     * @param string $loginToken
     * @return \\NineDotMedia\Viapost\Struct\GetDataListUrl
     */
    public function setLoginToken($loginToken = null)
    {
        // validation for constraint: string
        if (!is_null($loginToken) && !is_string($loginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loginToken, true), gettype($loginToken)), __LINE__);
        }
        $this->loginToken = $loginToken;
        return $this;
    }
    /**
     * Get urlType value
     * @return string|null
     */
    public function getUrlType()
    {
        return $this->urlType;
    }
    /**
     * Set urlType value
     * @param string $urlType
     * @return \\NineDotMedia\Viapost\Struct\GetDataListUrl
     */
    public function setUrlType($urlType = null)
    {
        // validation for constraint: string
        if (!is_null($urlType) && !is_string($urlType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urlType, true), gettype($urlType)), __LINE__);
        }
        $this->urlType = $urlType;
        return $this;
    }
    /**
     * Get affiliateGUID value
     * @return string|null
     */
    public function getAffiliateGUID()
    {
        return $this->affiliateGUID;
    }
    /**
     * Set affiliateGUID value
     * @param string $affiliateGUID
     * @return \\NineDotMedia\Viapost\Struct\GetDataListUrl
     */
    public function setAffiliateGUID($affiliateGUID = null)
    {
        // validation for constraint: string
        if (!is_null($affiliateGUID) && !is_string($affiliateGUID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($affiliateGUID, true), gettype($affiliateGUID)), __LINE__);
        }
        $this->affiliateGUID = $affiliateGUID;
        return $this;
    }
    /**
     * Get url value
     * @return string|null
     */
    public function getUrl()
    {
        return $this->url;
    }
    /**
     * Set url value
     * @param string $url
     * @return \\NineDotMedia\Viapost\Struct\GetDataListUrl
     */
    public function setUrl($url = null)
    {
        // validation for constraint: string
        if (!is_null($url) && !is_string($url)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($url, true), gettype($url)), __LINE__);
        }
        $this->url = $url;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\Viapost\Struct\GetDataListUrl
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
