<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDocumentPageCountRangeResponse Struct
 * @subpackage Structs
 */
class GetDocumentPageCountRangeResponse extends AbstractStructBase
{
    /**
     * The GetDocumentPageCountRangeResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $GetDocumentPageCountRangeResult;
    /**
     * The minPageCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $minPageCount;
    /**
     * The maxPageCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $maxPageCount;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for GetDocumentPageCountRangeResponse
     * @uses GetDocumentPageCountRangeResponse::setGetDocumentPageCountRangeResult()
     * @uses GetDocumentPageCountRangeResponse::setMinPageCount()
     * @uses GetDocumentPageCountRangeResponse::setMaxPageCount()
     * @uses GetDocumentPageCountRangeResponse::setReturnMessage()
     * @param bool $getDocumentPageCountRangeResult
     * @param int $minPageCount
     * @param int $maxPageCount
     * @param string $returnMessage
     */
    public function __construct($getDocumentPageCountRangeResult = null, $minPageCount = null, $maxPageCount = null, $returnMessage = null)
    {
        $this
            ->setGetDocumentPageCountRangeResult($getDocumentPageCountRangeResult)
            ->setMinPageCount($minPageCount)
            ->setMaxPageCount($maxPageCount)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get GetDocumentPageCountRangeResult value
     * @return bool
     */
    public function getGetDocumentPageCountRangeResult()
    {
        return $this->GetDocumentPageCountRangeResult;
    }
    /**
     * Set GetDocumentPageCountRangeResult value
     * @param bool $getDocumentPageCountRangeResult
     * @return \\NineDotMedia\Viapost\Struct\GetDocumentPageCountRangeResponse
     */
    public function setGetDocumentPageCountRangeResult($getDocumentPageCountRangeResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($getDocumentPageCountRangeResult) && !is_bool($getDocumentPageCountRangeResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($getDocumentPageCountRangeResult, true), gettype($getDocumentPageCountRangeResult)), __LINE__);
        }
        $this->GetDocumentPageCountRangeResult = $getDocumentPageCountRangeResult;
        return $this;
    }
    /**
     * Get minPageCount value
     * @return int
     */
    public function getMinPageCount()
    {
        return $this->minPageCount;
    }
    /**
     * Set minPageCount value
     * @param int $minPageCount
     * @return \\NineDotMedia\Viapost\Struct\GetDocumentPageCountRangeResponse
     */
    public function setMinPageCount($minPageCount = null)
    {
        // validation for constraint: int
        if (!is_null($minPageCount) && !(is_int($minPageCount) || ctype_digit($minPageCount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($minPageCount, true), gettype($minPageCount)), __LINE__);
        }
        $this->minPageCount = $minPageCount;
        return $this;
    }
    /**
     * Get maxPageCount value
     * @return int
     */
    public function getMaxPageCount()
    {
        return $this->maxPageCount;
    }
    /**
     * Set maxPageCount value
     * @param int $maxPageCount
     * @return \\NineDotMedia\Viapost\Struct\GetDocumentPageCountRangeResponse
     */
    public function setMaxPageCount($maxPageCount = null)
    {
        // validation for constraint: int
        if (!is_null($maxPageCount) && !(is_int($maxPageCount) || ctype_digit($maxPageCount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($maxPageCount, true), gettype($maxPageCount)), __LINE__);
        }
        $this->maxPageCount = $maxPageCount;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\Viapost\Struct\GetDocumentPageCountRangeResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
