<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MailMergeResponse Struct
 * @subpackage Structs
 */
class MailMergeResponse extends AbstractStructBase
{
    /**
     * The MailMergeResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $MailMergeResult;
    /**
     * The myCustomerAPILetter
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\NineDotMedia\Viapost\Struct\CustomerAPILetter
     */
    public $myCustomerAPILetter;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for MailMergeResponse
     * @uses MailMergeResponse::setMailMergeResult()
     * @uses MailMergeResponse::setMyCustomerAPILetter()
     * @uses MailMergeResponse::setSReturnMessage()
     * @param bool $mailMergeResult
     * @param \\NineDotMedia\Viapost\Struct\CustomerAPILetter $myCustomerAPILetter
     * @param string $sReturnMessage
     */
    public function __construct($mailMergeResult = null, \\NineDotMedia\Viapost\Struct\CustomerAPILetter $myCustomerAPILetter = null, $sReturnMessage = null)
    {
        $this
            ->setMailMergeResult($mailMergeResult)
            ->setMyCustomerAPILetter($myCustomerAPILetter)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get MailMergeResult value
     * @return bool
     */
    public function getMailMergeResult()
    {
        return $this->MailMergeResult;
    }
    /**
     * Set MailMergeResult value
     * @param bool $mailMergeResult
     * @return \\NineDotMedia\Viapost\Struct\MailMergeResponse
     */
    public function setMailMergeResult($mailMergeResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($mailMergeResult) && !is_bool($mailMergeResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($mailMergeResult, true), gettype($mailMergeResult)), __LINE__);
        }
        $this->MailMergeResult = $mailMergeResult;
        return $this;
    }
    /**
     * Get myCustomerAPILetter value
     * @return \\NineDotMedia\Viapost\Struct\CustomerAPILetter|null
     */
    public function getMyCustomerAPILetter()
    {
        return $this->myCustomerAPILetter;
    }
    /**
     * Set myCustomerAPILetter value
     * @param \\NineDotMedia\Viapost\Struct\CustomerAPILetter $myCustomerAPILetter
     * @return \\NineDotMedia\Viapost\Struct\MailMergeResponse
     */
    public function setMyCustomerAPILetter(\\NineDotMedia\Viapost\Struct\CustomerAPILetter $myCustomerAPILetter = null)
    {
        $this->myCustomerAPILetter = $myCustomerAPILetter;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \\NineDotMedia\Viapost\Struct\MailMergeResponse
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
