<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PreviewDocumentFindNearestResponse Struct
 * @subpackage Structs
 */
class PreviewDocumentFindNearestResponse extends AbstractStructBase
{
    /**
     * The PreviewDocumentFindNearestResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $PreviewDocumentFindNearestResult;
    /**
     * The documentData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $documentData;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for PreviewDocumentFindNearestResponse
     * @uses PreviewDocumentFindNearestResponse::setPreviewDocumentFindNearestResult()
     * @uses PreviewDocumentFindNearestResponse::setDocumentData()
     * @uses PreviewDocumentFindNearestResponse::setReturnMessage()
     * @param bool $previewDocumentFindNearestResult
     * @param string $documentData
     * @param string $returnMessage
     */
    public function __construct($previewDocumentFindNearestResult = null, $documentData = null, $returnMessage = null)
    {
        $this
            ->setPreviewDocumentFindNearestResult($previewDocumentFindNearestResult)
            ->setDocumentData($documentData)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get PreviewDocumentFindNearestResult value
     * @return bool
     */
    public function getPreviewDocumentFindNearestResult()
    {
        return $this->PreviewDocumentFindNearestResult;
    }
    /**
     * Set PreviewDocumentFindNearestResult value
     * @param bool $previewDocumentFindNearestResult
     * @return \\NineDotMedia\Viapost\Struct\PreviewDocumentFindNearestResponse
     */
    public function setPreviewDocumentFindNearestResult($previewDocumentFindNearestResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($previewDocumentFindNearestResult) && !is_bool($previewDocumentFindNearestResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($previewDocumentFindNearestResult, true), gettype($previewDocumentFindNearestResult)), __LINE__);
        }
        $this->PreviewDocumentFindNearestResult = $previewDocumentFindNearestResult;
        return $this;
    }
    /**
     * Get documentData value
     * @return string|null
     */
    public function getDocumentData()
    {
        return $this->documentData;
    }
    /**
     * Set documentData value
     * @param string $documentData
     * @return \\NineDotMedia\Viapost\Struct\PreviewDocumentFindNearestResponse
     */
    public function setDocumentData($documentData = null)
    {
        // validation for constraint: string
        if (!is_null($documentData) && !is_string($documentData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($documentData, true), gettype($documentData)), __LINE__);
        }
        $this->documentData = $documentData;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\Viapost\Struct\PreviewDocumentFindNearestResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
