<?php

namespace \NineDotMedia\Viapost\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendMailPackToSingleAddress2Response Struct
 * @subpackage Structs
 */
class SendMailPackToSingleAddress2Response extends AbstractStructBase
{
    /**
     * The SendMailPackToSingleAddress2Result
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $SendMailPackToSingleAddress2Result;
    /**
     * The costOfMailing
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $costOfMailing;
    /**
     * The numberOfPages
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfPages;
    /**
     * The numberOfSheets
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfSheets;
    /**
     * The jobId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $jobId;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for SendMailPackToSingleAddress2Response
     * @uses SendMailPackToSingleAddress2Response::setSendMailPackToSingleAddress2Result()
     * @uses SendMailPackToSingleAddress2Response::setCostOfMailing()
     * @uses SendMailPackToSingleAddress2Response::setNumberOfPages()
     * @uses SendMailPackToSingleAddress2Response::setNumberOfSheets()
     * @uses SendMailPackToSingleAddress2Response::setJobId()
     * @uses SendMailPackToSingleAddress2Response::setReturnMessage()
     * @param bool $sendMailPackToSingleAddress2Result
     * @param float $costOfMailing
     * @param int $numberOfPages
     * @param int $numberOfSheets
     * @param int $jobId
     * @param string $returnMessage
     */
    public function __construct($sendMailPackToSingleAddress2Result = null, $costOfMailing = null, $numberOfPages = null, $numberOfSheets = null, $jobId = null, $returnMessage = null)
    {
        $this
            ->setSendMailPackToSingleAddress2Result($sendMailPackToSingleAddress2Result)
            ->setCostOfMailing($costOfMailing)
            ->setNumberOfPages($numberOfPages)
            ->setNumberOfSheets($numberOfSheets)
            ->setJobId($jobId)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get SendMailPackToSingleAddress2Result value
     * @return bool
     */
    public function getSendMailPackToSingleAddress2Result()
    {
        return $this->SendMailPackToSingleAddress2Result;
    }
    /**
     * Set SendMailPackToSingleAddress2Result value
     * @param bool $sendMailPackToSingleAddress2Result
     * @return \\NineDotMedia\Viapost\Struct\SendMailPackToSingleAddress2Response
     */
    public function setSendMailPackToSingleAddress2Result($sendMailPackToSingleAddress2Result = null)
    {
        // validation for constraint: boolean
        if (!is_null($sendMailPackToSingleAddress2Result) && !is_bool($sendMailPackToSingleAddress2Result)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($sendMailPackToSingleAddress2Result, true), gettype($sendMailPackToSingleAddress2Result)), __LINE__);
        }
        $this->SendMailPackToSingleAddress2Result = $sendMailPackToSingleAddress2Result;
        return $this;
    }
    /**
     * Get costOfMailing value
     * @return float
     */
    public function getCostOfMailing()
    {
        return $this->costOfMailing;
    }
    /**
     * Set costOfMailing value
     * @param float $costOfMailing
     * @return \\NineDotMedia\Viapost\Struct\SendMailPackToSingleAddress2Response
     */
    public function setCostOfMailing($costOfMailing = null)
    {
        // validation for constraint: float
        if (!is_null($costOfMailing) && !(is_float($costOfMailing) || is_numeric($costOfMailing))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($costOfMailing, true), gettype($costOfMailing)), __LINE__);
        }
        $this->costOfMailing = $costOfMailing;
        return $this;
    }
    /**
     * Get numberOfPages value
     * @return int
     */
    public function getNumberOfPages()
    {
        return $this->numberOfPages;
    }
    /**
     * Set numberOfPages value
     * @param int $numberOfPages
     * @return \\NineDotMedia\Viapost\Struct\SendMailPackToSingleAddress2Response
     */
    public function setNumberOfPages($numberOfPages = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfPages) && !(is_int($numberOfPages) || ctype_digit($numberOfPages))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfPages, true), gettype($numberOfPages)), __LINE__);
        }
        $this->numberOfPages = $numberOfPages;
        return $this;
    }
    /**
     * Get numberOfSheets value
     * @return int
     */
    public function getNumberOfSheets()
    {
        return $this->numberOfSheets;
    }
    /**
     * Set numberOfSheets value
     * @param int $numberOfSheets
     * @return \\NineDotMedia\Viapost\Struct\SendMailPackToSingleAddress2Response
     */
    public function setNumberOfSheets($numberOfSheets = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfSheets) && !(is_int($numberOfSheets) || ctype_digit($numberOfSheets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfSheets, true), gettype($numberOfSheets)), __LINE__);
        }
        $this->numberOfSheets = $numberOfSheets;
        return $this;
    }
    /**
     * Get jobId value
     * @return int
     */
    public function getJobId()
    {
        return $this->jobId;
    }
    /**
     * Set jobId value
     * @param int $jobId
     * @return \\NineDotMedia\Viapost\Struct\SendMailPackToSingleAddress2Response
     */
    public function setJobId($jobId = null)
    {
        // validation for constraint: int
        if (!is_null($jobId) && !(is_int($jobId) || ctype_digit($jobId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($jobId, true), gettype($jobId)), __LINE__);
        }
        $this->jobId = $jobId;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\Viapost\Struct\SendMailPackToSingleAddress2Response
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
